Update auf 0.9-alpha4 / Fragen, hinweise und wünsche

Hier können Probleme und alles andere in Deutscher Sprache gelöst werden.
Post Reply
SyN0
Regular
Posts: 75
Joined: Wed Aug 31, 2005 4:50 am

Update auf 0.9-alpha4 / Fragen, hinweise und wünsche

Post by SyN0 » Sun Sep 04, 2005 6:03 am

Ok, ich postes hier weils mir in englisch zu arg schwierig ist das zu formulieren (ich hatte zu ddr-zeiten englisch, das war wohl nix :wink: ) .

Also ich hab nun auf 0.9 geupdatet und mir ist folgendes aufgefallen:

Im Plugin-bereich funktioniert a) die Pluginliste der installierbaren Seitenplugins nicht. Klick ich darauf, erscheint ganz oben in 20facher ausführung:

Warning: filemtime(): Stat failed for S9Y_ICLUDE_PATHinclude/plugin_internal.inc.php (errno=2 - No such file or directory) in /usr/local/pem/vhosts/565/webspace/httpdocs/syno/blogparty/include/plugin_api.inc.php on line 454

weiter unten erscheint mindestens 10 mal das Plugin "Archive".
Das ganze natürlich auch wenn ich Spartacus installiert hab.

Bei den Eventplugins erscheint nach wie vor:

Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 35 bytes) in /usr/local/pem/vhosts/565/webspace/httpdocs/syno/blogparty/plugins/serendipity_event_spartacus/serendipity_event_spartacus.php on line 151

die meldung kommt so ab einer menge von 10 plugins. das schränkt natürlich ein irgendwo. aber vllt gibts da ja möglichkeiten den speicherverbrauch zu fixen.

einen vorschlag hätte ich noch zu machen:
Unter Spartacus würde ich mir wünschen, dass man wieder wie bei 0.8.4 auswählen kann, ob ich Plugins aus meinem Pluginordner installieren will oder aus dem Netz. Denn zur Zeit müsste ich Spartakus ganz deinstalliert lassen, damit ich übehaupt eventplugins aus meinem pluginordner installieren kann.

ansonsten scheint 0.9-alpha4 stabil zu laufen, das update lief 1a.

User avatar
garvinhicking
Core Developer
Posts: 30020
Joined: Tue Sep 16, 2003 9:45 pm
Location: Cologne, Germany
Contact:

Re: Update auf 0.9-alpha4 / Fragen, hinweise und wünsche

Post by garvinhicking » Mon Sep 05, 2005 1:28 pm

Hi!

Danke für den Fehler mit S9Y_ICLUDE_PATH. Habe ich gerade gefixt - bitte in der entsprechenden Datei include/plugin_api.inc.php das "ICLUDE" durch "INCLUDE" ersetzen (Zeile 327).

Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 35 bytes) in /usr/local/pem/vhosts/565/webspace/httpdocs/syno/blogparty/plugins/serendipity_event_spartacus/serendipity_event_spartacus.php on line 151


Das ist in der Tat ein PRoblem, was ich aber auf meinem Server nicht reproduzieren kann. Ob es wohl möglich wäre, dass Du mir FTP- und S9Y-Zugriff auf Deine Maschine gibst, damit ich mit dem Spartacus-Plugin ein paar Tests machen kann? Wenn ja, wäre das toll, und kontaktiere mich bitte mal per PM hier im Forum.

einen vorschlag hätte ich noch zu machen:
Unter Spartacus würde ich mir wünschen, dass man wieder wie bei 0.8.4 auswählen kann, ob ich Plugins aus meinem Pluginordner installieren will oder aus dem Netz. Denn zur Zeit müsste ich Spartakus ganz deinstalliert lassen, damit ich übehaupt eventplugins aus meinem pluginordner installieren kann.


Es hat sich herausgestellt, dass die alte Spartacus-Plugin Verwaltung für die meisten User nicht so verständlich war, und die Leute 4 Pluginlisten durchwühlen mussten um ein Plugin zu finden - daher kam die Vereinheitliocung. Und wenn der obige Bug gefixt wird auf deinem server, sollte der Benutzung ja auch nichts im Wege stehen...

Viele Grüße,
Garvin
# Garvin Hicking (s9y Developer)
# Did I help you? Consider making me happy: http://wishes.garv.in/
# or use my PayPal account "paypal {at} supergarv (dot) de"
# My "other" hobby: http://flickr.garv.in/

User avatar
robert
Regular
Posts: 1046
Joined: Mon May 09, 2005 9:17 pm
Location: Vienna, Austria
Contact:

Post by robert » Mon Sep 05, 2005 9:03 pm

Zu
einen vorschlag hätte ich noch zu machen:
Unter Spartacus würde ich mir wünschen, dass man wieder wie bei 0.8.4 auswählen kann, ob ich Plugins aus meinem Pluginordner installieren will oder aus dem Netz. Denn zur Zeit müsste ich Spartakus ganz deinstalliert lassen, damit ich übehaupt eventplugins aus meinem pluginordner installieren kann.


Es wird ja in der Liste mittels des Icon (mit oder ohne grünen Pfeil) angezeigt, ob das Plugin schon bei dir prinzipiell vorhanden ist und nur aktiviert werden muß oder ob es noch zum downloaden ist.
Oder habe ich da etwas mißverstanden?

MfG
Robert
Nur ein Blog ...auf robertlender.info - natürlich mit S9y betrieben

S9y InfoCamp - der (inoffizielle) S9y-Podcast

Guest

Post by Guest » Tue Sep 06, 2005 2:20 pm

Was passiert denn im Falle des bereits standardmäßig vorhandenen Spartacus, wenn auf dem Server in der PHP-Config allow_furl_open "verboten" ist?

User avatar
garvinhicking
Core Developer
Posts: 30020
Joined: Tue Sep 16, 2003 9:45 pm
Location: Cologne, Germany
Contact:

Post by garvinhicking » Tue Sep 06, 2005 3:22 pm

Spartacus benutzt socket funktionen um Dateien herunterzuladen. Wenn nur allow_url_fopen verboten ist, klappt es trotzdem.

Nur wenn die Firewall des Webservers ausgehende HTTP-Verbindungen verbietet, geht natürlich nichts. Das ist aber sehr selten der Fall.

Viele Grüße,
Garvin
# Garvin Hicking (s9y Developer)
# Did I help you? Consider making me happy: http://wishes.garv.in/
# or use my PayPal account "paypal {at} supergarv (dot) de"
# My "other" hobby: http://flickr.garv.in/

Post Reply